commit:     c1b47ad8819f31fd28cb36df2d908ee546e4ea80
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 11 05:44:13 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Aug 11 05:44:24 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c1b47ad8

app-crypt/xca: add 2.4.0

Package-Manager: Portage-3.0.20, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 app-crypt/xca/Manifest                         |  1 +
 app-crypt/xca/files/xca-2.4.0-bug-733000.patch | 29 +++++++++++
 app-crypt/xca/xca-2.4.0.ebuild                 | 70 ++++++++++++++++++++++++++
 3 files changed, 100 insertions(+)

diff --git a/app-crypt/xca/Manifest b/app-crypt/xca/Manifest
index d08bc8bc9be..cb4d7db3c7a 100644
--- a/app-crypt/xca/Manifest
+++ b/app-crypt/xca/Manifest
@@ -1,2 +1,3 @@
 DIST xca-2.1.2.tar.gz 1086563 BLAKE2B 
d48727fffad16d840633af6e0ee38a279978a5b865eb6f391a3d852a0105817254ea0a4780875f2956e1f7e9931e6930c6ffbe82b117dbf8ad0058ec9d6f5c88
 SHA512 
1f104a22b83b802576b4820b7139971da50f9b3dd70aca8e1199e996bad4379b8681bb31b197b84a3dfa49cef4ae093f6622d15fac9667547ff47af43c1e5f07
 DIST xca-2.3.0.tar.gz 1354154 BLAKE2B 
31a4ac96819e8d2f7e5f623cc343f0cbff18c931ed0699dbe093dcb963c3431a3943c4dcd8f3d727896104c05a565d062b9678169bf2a8d3f7cf7748c311b53b
 SHA512 
35522aa308e1022a739f3255f13fcf63f481000f9b7411027a009a185e33ddceeb5cf9b55406a4899d2393c7e5ace10354ff24b3b2b0c3045d110f679756b0b8
+DIST xca-2.4.0.tar.gz 1778572 BLAKE2B 
2e90ef264dc53019cc37700b37d5eb0c48904ca371ae1ce0cfe2ad61be8765951ea918d356c1f2764e73d846693a66c903cba1381df5d1a588aae8bb45f8c195
 SHA512 
e93e2cf9dc48ed43ee9b51e977f825d81ff08835eb4d77fcbe8f9dc8ce31c77c1da879b48c25ab535717542d1fe84faa6e46c410c116edbee02072040c59667c

diff --git a/app-crypt/xca/files/xca-2.4.0-bug-733000.patch 
b/app-crypt/xca/files/xca-2.4.0-bug-733000.patch
new file mode 100644
index 00000000000..0863c906957
--- /dev/null
+++ b/app-crypt/xca/files/xca-2.4.0-bug-733000.patch
@@ -0,0 +1,29 @@
+--- a/doc/Makefile     2021-05-07 22:40:29.000000000 +0200
++++ b/doc/Makefile     2021-08-11 07:29:33.794844656 +0200
+@@ -12,16 +12,12 @@
+ 
+ SPHINX_FILES=$(patsubst %,sphinx/%.rst,$(RST_FILES))
+ 
+-.build-stamp doc: xca.1.gz html/index.html qthelp/xca.qhc
++.build-stamp doc: xca.1 html/index.html qthelp/xca.qhc
+ qthelpfiles=qthelp/*.html qthelp/xca.qhc qthelp/xca.qch
+ .install-stamp: doc
+ 
+ include $(TOPDIR)/Rules.mak
+ 
+-%.1.gz: %.1
+-      @$(PRINT) "  MAN    [$(BASENAME)] $@"
+-      gzip -9 <$^ >$@
+-
+ xca.1: xca.1.head xca.1.options xca.1.tail
+       cat $^ > $@
+ 
+@@ -43,7 +39,7 @@
+       $(ENABLE_DOC)install -m 755 -d $(DESTDIR)$(htmldir)
+       $(ENABLE_DOC)install -m 644 $(qthelpfiles) $(DESTDIR)$(htmldir)
+       install -m 755 -d $(DESTDIR)$(mandir)/man1
+-      install -m 644 *.1.gz $(DESTDIR)/$(mandir)/man1
++      install -m 644 *.1 $(DESTDIR)/$(mandir)/man1
+ 
+ app: $(doc)
+       mkdir -p $(APPDIR)/Resources

diff --git a/app-crypt/xca/xca-2.4.0.ebuild b/app-crypt/xca/xca-2.4.0.ebuild
new file mode 100644
index 00000000000..5ff936d0ae0
--- /dev/null
+++ b/app-crypt/xca/xca-2.4.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+inherit xdg-utils
+
+DESCRIPTION="A GUI to OpenSSL, RSA public keys, certificates, signing requests 
etc"
+HOMEPAGE="https://hohnstaedt.de/xca/";
+SRC_URI="https://github.com/chris2511/${PN}/releases/download/RELEASE.${PV}/${P}.tar.gz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="bindist doc"
+
+RDEPEND="
+       dev-libs/libltdl:0=
+       dev-qt/qtgui:5
+       dev-qt/qtsql:5[sqlite]
+       dev-qt/qtwidgets:5
+       dev-libs/openssl:0=[bindist(-)=]
+       doc? ( app-text/linuxdoc-tools )"
+DEPEND="${RDEPEND}
+       dev-qt/linguist-tools:5"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-1.0.0-desktop.patch"
+       "${FILESDIR}/${P}-bug-733000.patch"
+)
+
+src_configure() {
+       econf \
+               --with-qt-version=5 \
+               $(use_enable doc) \
+               STRIP=true
+}
+
+src_prepare() {
+       sed '/^CFLAGS/s@-O2 -ggdb@@' -i Local.mak.in || die
+       default
+}
+
+src_compile() {
+       # enforce all to avoid the automatic silent rules
+       emake all
+}
+
+src_install() {
+       default
+
+       insinto /etc/xca
+       doins misc/*.txt
+
+       ewarn "Make a backup copy of your database!"
+       ewarn "Version 2 completely changes the database format to SQL(ite)"
+       ewarn "Don't try to open it with older versions of XCA (< 1.4.0). They 
will corrupt the database."
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+       xdg_desktop_database_update
+       xdg_mimeinfo_database_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+       xdg_desktop_database_update
+       xdg_mimeinfo_database_update
+}

Reply via email to